Name:          xcb-util-wm
Version:       0.4.2
Release:       1mamba
Summary:       Client and window-manager helpers for ICCCM and EWMH
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://xcb.freedesktop.org/
Source:        http://xcb.freedesktop.org/dist/xcb-util-wm-%{version}.tar.xz
License:       MIT
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libXdmcp-devel
BuildRequires: libxcb-devel
## AUTOBUILDREQ-END
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description
Client and window-manager helpers for ICCCM and EWMH.

%package -n lib%{name}
Group:         System/Libraries
Summary:       Shared libraries for %{name}

%description -n lib%{name}
Client and window-manager helpers for ICCCM and EWMH.

%package -n lib%{name}-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      pkg-config

%description -n lib%{name}-devel
This package contains libraries and header files for developing applications that use %{name}.

%debug_package

%prep
%setup -q

%build
%configure
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -n lib%{name} -p /sbin/ldconfig
%postun -n lib%{name} -p /sbin/ldconfig

%files -n lib%{name}
%defattr(-,root,root)
%{_libdir}/libxcb-ewmh.so.*
%{_libdir}/libxcb-icccm.so.*
%doc COPYING

%files -n lib%{name}-devel
%defattr(-,root,root)
%{_includedir}/xcb/xcb_ewmh.h
%{_includedir}/xcb/xcb_icccm.h
%{_libdir}/libxcb-ewmh.a
%{_libdir}/libxcb-ewmh.so
%{_libdir}/libxcb-icccm.a
%{_libdir}/libxcb-icccm.so
%{_libdir}/pkgconfig/xcb-ewmh.pc
%{_libdir}/pkgconfig/xcb-icccm.pc
%doc ChangeLog NEWS README.md

%changelog
* Sat Oct 22 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 0.4.2-1mamba
- update to 0.4.2

* Fri Feb 21 2014 Automatic Build System <autodist@mambasoft.it> 0.4.1-1mamba
- automatic version update by autodist

* Fri Jan 31 2014 Automatic Build System <autodist@mambasoft.it> 0.4.0-1mamba
- automatic version update by autodist

* Sat Jan 12 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 0.3.9-1mamba
- package created by silvan using the webbuild interface
